Package org.apache.sysds.runtime.data

# Class SparseBlockMCSC.NonEmptyColumnsIteratorMCSC

java.lang.Object
org.apache.sysds.runtime.data.SparseBlockMCSC.NonEmptyColumnsIteratorMCSC

All Implemented Interfaces:
  `Iterator<Integer>`

Enclosing class:
  SparseBlockMCSC

public class SparseBlockMCSC.NonEmptyColumnsIteratorMCSC extends Object implements Iterator<Integer>

## Constructor Summary

Constructors
Constructor
Description
`NonEmptyColumnsIteratorMCSC(int cl, int cu)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`Integer`
`next()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### NonEmptyColumnsIteratorMCSC

public NonEmptyColumnsIteratorMCSC(int cl, int cu)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Integer>`

### next

public Integer next()

Specified by:
  `next` in interface `Iterator<Integer>`